Package com.xebialabs.xlrelease.utils

# Class Tree.Node<A>

java.lang.Object
com.xebialabs.xlrelease.utils.Tree.Node<A>

All Implemented Interfaces:
  `Tree<A>`, `Serializable`, `scala.Equals`, `scala.Product`

Enclosing interface:
  `Tree<A>`

public static class Tree.Node<A> extends Object implements Tree<A>, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.xebialabs.xlrelease.utils.Tree

  `Tree.Empty$, Tree.ListTreeOps<A>, Tree.ListTreeOps$, Tree.Node<A>, Tree.Node$, Tree.NodeOps<A>, Tree.NodeOps$, Tree.TreeOps<A>, Tree.TreeOps$, Tree.TreeTreeOps<A>, Tree.TreeTreeOps$`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Node(A value, scala.collection.immutable.List<Tree.Node<A>> children)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canEqual(Object x$1)`
  `scala.collection.immutable.List<Tree.Node<A>>`
  `children()`
  `<A> Tree.Node<A>`
  `copy(A value, scala.collection.immutable.List<Tree.Node<A>> children)`
  `<A> A`
  `copy$default$1()`
  `<A> scala.collection.immutable.List<Tree.Node<A>>`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`
  `A`
  `value()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### Node

    public Node(A value, scala.collection.immutable.List<Tree.Node<A>> children)

- ## Method Details

  - ### value

    public A value()

  - ### children

    public scala.collection.immutable.List<Tree.Node<A>> children()

  - ### copy

    public <A> Tree.Node<A> copy(A value, scala.collection.immutable.List<Tree.Node<A>> children)

  - ### copy$default$1

    public <A> A copy$default$1()

  - ### copy$default$2

    public <A> scala.collection.immutable.List<Tree.Node<A>> copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`